## hylafax 6.0.4

=== debian/changelog ===
hylafax (2:6.0.4-10ubuntu1) maverick; urgency=low

  * Sync from Debian unstable (LP: #580568)
  * Add 901_fchmod-prototype.patch: glibc now includes an fchmod prototype
    which doesn't match hylafax's.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 05 Sep 2010 23:23:42 +0200

hylafax (2:6.0.4-10) unstable; urgency=low

  * Check for upstart scripts in /etc/init instead of /etc/event.d.
  * Added -dMaxStripSize=0 to all ghostscript invokation. (See
    https://bugzilla.redhat.com/show_bug.cgi?id=569957)

 -- Giuseppe Sacco <eppesuig@debian.org>  Fri, 13 Aug 2010 23:22:03 +0200

hylafax (2:6.0.4-9) unstable; urgency=low

  * Fixed a problem with faxadduser/faxdeluser overwriting hosts.hfaxd file.
  * Updated to Debian Policy 3.9.1 (no changes required).
  * Added a NEWS about faxmail behaviour changed since hylafax 4.
  * Added an example on how to make exim4 deliver email to faxmail.

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 11 Aug 2010 19:51:38 +0200

hylafax (2:6.0.4-8) unstable; urgency=low

  * Fixed a build problem with makeshlibs on the wrong package.

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 20 Jun 2010 21:13:12 +0200

hylafax (2:6.0.4-7) unstable; urgency=low

  * Converted to quilt.
  * Converted package to override_dh_* in debian/rules
  * Set debian source format to 3.0
  * Rebuilt using gnu regex library included in libc instead of
    old bsd source code included in upstream source.
  * Files in /var/spool/hylafax/bin aren't anymore conffiles.
  * Changed all file selections in debian/rules to be POSIX:
    no more multiple selection using baces. Now package
    build on systems where /bin/sh is /bin/dash instead of /bin/bash.

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 20 Jun 2010 16:45:11 +0200

hylafax (2:6.0.4-6) unstable; urgency=low

  * Added patch #807 in order to build on avr32 cpu.
  * Created patch #808 for adding a new security level when invoking gs.

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 16 Jun 2010 23:05:59 +0200

hylafax (2:6.0.4-5) unstable; urgency=low

  * Skip modem configuration when installing non interactively
    (Closes: #582611)
  * Corrected interpreter name for notify.awk.

 -- Giuseppe Sacco <eppesuig@debian.org>  Sat, 22 May 2010 23:34:59 +0200

hylafax (2:6.0.4-4) unstable; urgency=low

  * Changed bash syntax to more portable "eval" in retainfaxcover.sh
    (Closes: #581110)
  * Added patch from Ubuntu for checking if faxgetty is started via Upstart.
  * Added complete fontmap paths in hyla.conf for all Debian and Ubuntu
    versions.
  * Corrected dependency on mail-transport-agent.

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 11 May 2010 11:02:49 +0200

hylafax (2:6.0.4-3) unstable; urgency=low

  * Upgraded to Debian Policy 3.8.4 (no changes required)
  * Changed to -fPIC for sparc64 arch. This should let the package build.
  * Added depends on mail-transport-agent. (Closes: #577829)
  * Added $remote_fs in init.d script, as suggested by lintian.
  * Added dependency on non virtual package bsd-mailx, as suggested by
    lintian.

 -- Giuseppe Sacco <eppesuig@debian.org>  Fri, 07 May 2010 21:35:54 +0200

hylafax (2:6.0.4-2) unstable; urgency=low

  * Fix kfreebsd port adding all required variable in configure script

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 10 Feb 2010 15:08:12 +0100

hylafax (2:6.0.4-1) unstable; urgency=low

  * New upstream version
  * Temporary removed patch 803_faxgetty_libutil (Closes: #559395)

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 10 Feb 2010 02:28:55 +0100

hylafax (2:6.0.4~rc1-1) unstable; urgency=low

  * New upstream release candidate
  * removed patch for supporting libtiff 3.9 (now supported upstream)
  * Checked for file system umount while performing upgrades and while
    stopping server (see: #551443, #551566)
  * Corrected check when updating config files (Closes: #551566)
  * Ignore restart failing during upgrade (about bug already closed by NMU #553055)
  * Prefer enscript against textfmt since the latter does not correctly
    interpret font names on squeeze (Closes: #553316)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 01 Nov 2009 21:47:33 +0100

hylafax (2:6.0.3-5.1) unstable; urgency=low
 
  * Update debian packaging for 6.0.3
  * Non-maintainer upload.
  * Return 0 from initscript, if RUN_HYLAFAX=0 (Closes: #553055)
 
 -- Robert Grimm <rob@robgri.de>  Sat, 28 Nov 2009 11:33:10 +0100

hylafax (2:6.0.3-5) unstable; urgency=low

  * Fixed init.d script error (Closes: #551285)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sat, 17 Oct 2009 15:06:52 +0200

hylafax (2:6.0.3-4) unstable; urgency=low

  * Correctly check for mount -o bind availability

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 14 Oct 2009 09:56:46 +0200

hylafax (2:6.0.3-3) unstable; urgency=low

  * Added support for libtiff 3.9 (Closes: #543058)
  * Update to debian policy 3.8.3.0 (no changes required)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sat, 22 Aug 2009 23:41:16 +0200

hylafax (2:6.0.3-2) unstable; urgency=low

  * Selected bash as shell interpreter for mailfax examples
    (Closes: #530100)
  * Update to debian policy 3.8.2.0 (no changes required)
  * Lintian warning fixed for misc:Depends on -client package
  * Updated copy_configuration_from_spool for handling shared $SPOOL/etc

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 12 Aug 2009 10:59:45 +0200

hylafax (2:6.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #532680)
  * Remove dependency on gs (Closes: #539659)
  * Added fontmap entry for lenny in hyla.conf (thanks to Mark Schweizer)
  * Added fontmap entry for unstable in hyla.conf
  * [l10n]
    Added Finnish debconf translation (Closes: #535216)
    Updated Spanish debcnf translation (Closes: #524448)

 -- Giuseppe Sacco <eppesuig@debian.org>  Thu, 06 Aug 2009 22:04:06 +0200

hylafax (2:6.0.1-1) unstable; urgency=low

  * New upstream release

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 17 May 2009 19:03:58 +0200


