=== debian/control ===
Source: hylafax
Maintainer: Giuseppe Sacco <eppesuig@debian.org>
Section: comm
Priority: extra
Standards-Version: 3.9.1
Homepage: http://www.hylafax.org
Vcs-Cvs: :pserver:cvs@cvs.hylafax.org:/cvsroot
Vcs-Browser: http://git.hylafax.org/HylaFAX
Build-Depends: debhelper (>= 7.0.50~), libtiff4-dev (>= 3.6.1-3), libtiff-tools (>= 3.6.1-3), zlib1g-dev (>= 0.95), ed, autotools-dev, libpam-dev | libpam0g-dev, gsfonts, ghostscript, dpkg (>= 1.14.6)

Package: hylafax-server
Architecture: any
Section: comm
Depends: ${shlibs:Depends}, ${misc:Depends}, libtiff-tools (>= 3.6.1-3), hylafax-client (= ${binary:Version}), bsd-mailx | mailx, psmisc, sed (>= 4.1.2), ghostscript, adduser, lsb-base (>= 3.0-6), exim4-daemon-light | mail-transport-agent
Suggests: mgetty, psrip
Conflicts: mgetty-fax, capi4hylafax (<< 1:01.02.03-4)
Description: Flexible client/server fax software - server daemons
 This package support the sending and receiving of facsimiles, the polled
 retrieval of facsimiles and the send of alphanumeric pages.
 .
 The host running the server must have either a Class 1, Class 2, or a
 Class 2.0 fax modem attached to one of its serial ports. End-user
 applications to manage the transmission of documents via facsimile are
 provided separately by the hylafax-client package.

Package: hylafax-client
Architecture: any
Section: comm
Depends: ${shlibs:Depends}, ${misc:Depends}, enscript | libgnomeprint-data, ucf, gsfonts, ghostscript
Pre-Depends: libpaper-utils
Suggests: mgetty-viewfax
Recommends: netpbm, transfig
Conflicts: mgetty-fax
Description: Flexible client/server fax software - client utilities
 The HylaFAX client software communicates with a HylaFAX server via TCP/IP.
 .
 HylaFAX support the sending and receiving of facsimiles, the polled
 retrieval of facsimiles and the send of alphanumeric pages.
