## hylafax 6.0.5

=== debian/changelog ===
hylafax (2:6.0.5-5ubuntu2) oneiric; urgency=low

  * Fix LP: #749061 - fix FTBFS caused by a bug in the configure script,
    exposed when being called from make
    - add debian/patches/902_fix_configure_with_recursive_make.patch
    - update debian/patches/series

 -- Michael van der Kolff <mvanderkolff@gmail.com>  Tue, 13 Sep 2011 14:02:21 +0100

hylafax (2:6.0.5-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/901_fchmod-prototype.patch: glibc now includes
      a fchmod prototype which doesn't match hylafax's. (Closes: #565001)
  * Upload should fixes: (LP: #372605, #476098, 595610)

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 22 Dec 2010 20:10:59 +0100

hylafax (2:6.0.5-5) unstable; urgency=low

  * Remove /etc/default/hylafax when puring package (Closes: #607064)

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 14 Dec 2010 14:03:17 +0100

hylafax (2:6.0.5-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "installation fails": check for existence of /etc/mtab before using it
    (closes: #604221).
  * Fix "prompting due to modified conffiles which were not modified by
    the user": write to /etc/default/hylafax only if it doesn't exist
    (closes: #603429).

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Dec 2010 15:26:21 +0100

hylafax (2:6.0.5-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/901_fchmod-prototype.patch: glibc now
      includes an fchmod prototype which doesn't match hylafax's.
      (Closes: #565001)

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 04 Nov 2010 20:53:51 +0100

hylafax (2:6.0.5-4) unstable; urgency=low

  * Added two packages with debug information.

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 12 Oct 2010 12:18:57 +0200

hylafax (2:6.0.5-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/901_fchmod-prototype.patch: glibc now
      includes an fchmod prototype which doesn't match hylafax's.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 21 Oct 2010 20:26:56 +0200

hylafax (2:6.0.5-3) unstable; urgency=low

  * When $SPOOL/etc is not mounted with bind option, delete
    all files missing from /etc/hylafax (Closes: #514950)

 -- Giuseppe Sacco <eppesuig@debian.org>  Thu, 23 Sep 2010 09:50:28 +0200

hylafax (2:6.0.5-2) unstable; urgency=low

  * Added explicit awk path during configure for avoiding faxsetup using the
    one available on system where the package is *built* instead of
    the one available when the package is installed (Closes: #597693)

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 22 Sep 2010 12:23:16 +0200

hylafax (2:6.0.5-1) unstable; urgency=low

  * New upstream release
  * Removed patch 801_sendpage_manpage since already included upstream
  * Removed patch 802_tiffcheck_manpage since already included upstream
  * Removed patch 807_fxmin_avr32 since already included upstream
  * Simplified patch 808_ghostscript_args since partially included upstream
  * Changed init.d script for avoiding PS_PERSONALITY side effect

 -- Giuseppe Sacco <eppesuig@debian.org>  Thu, 16 Sep 2010 09:42:16 +0200
