=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: hylafax
-Maintainer: Giuseppe Sacco <eppesuig@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Giuseppe Sacco <eppesuig@debian.org>
 Section: comm
 Priority: extra
 Standards-Version: 3.9.1
@@ -36,3 +37,30 @@
  .
  HylaFAX support the sending and receiving of facsimiles, the polled
  retrieval of facsimiles and the send of alphanumeric pages.
+
+Package: hylafax-server-dbg
+Section: comm
+Architecture: any
+Depends: hylafax-server (= ${Source-Version})
+Description: Debug symbols for the hylafax server
+ This package support the sending and receiving of facsimiles, the polled
+ retrieval of facsimiles and the send of alphanumeric pages.
+ .
+ The host running the server must have either a Class 1, Class 2, or a
+ Class 2.0 fax modem attached to one of its serial ports. End-user
+ applications to manage the transmission of documents via facsimile are
+ provided separately by the hylafax-client package.
+ .
+ This package only contains debugging symbols.
+
+Package: hylafax-client-dbg
+Architecture: any
+Section: comm
+Depends: hylafax-client (= ${Source-Version})
+Description: Flexible client/server fax software - client utilities
+ The HylaFAX client software communicates with a HylaFAX server via TCP/IP.
+ .
+ HylaFAX support the sending and receiving of facsimiles, the polled
+ retrieval of facsimiles and the send of alphanumeric pages.
+ .
+ This package only contains debugging symbols.
