=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,8 @@
 		--with-SORT="/usr/bin/sort" \
 		--with-OPTIMIZER="$(CFLAGS)" \
 		--with-MANDIR="/usr/share/man" \
-		--with-PATH_IMPRIP="/usr/bin/psrip"
+		--with-PATH_IMPRIP="/usr/bin/psrip" \
+		--with-AWK="/usr/bin/awk"
 #		--with-INSTALL=/usr/bin/install \
  
 override_dh_clean:
@@ -52,10 +53,16 @@
  
 PWD		:= $(shell pwd)
 p_client	= hylafax-client
+p_client_dbg	= hylafax-client-dbg
 p_server	= hylafax-server
+p_server_dbg	= hylafax-server-dbg
 
 d_client	= debian/$(p_client)
+d_client_dbg	= debian/$(p_client_dbg)
 d_server	= debian/$(p_server)
+d_server_dbg	= debian/$(p_server_dbg)
+
+d_dbg		= usr/lib/debug/
 
 override_dh_auto_install: install-client install-server
 
@@ -109,6 +116,8 @@
 	cp -p debian/lintian.override.hylafax-server \
 		$(d_server)/usr/share/lintian/overrides/$(p_server)
 
+	cp debian/hylafax-server.hylafax.default-maintainer $(d_server)/usr/share/hylafax/hylafax.default-maintainer
+
 	install --mode=a+rx -p debian/copy_configuration_from_spool $(d_server)/usr/lib/hylafax/bin/
 
 override_dh_installman:
@@ -156,7 +165,8 @@
 		var/spool/hylafax/etc var/spool/hylafax/recvq var/spool/hylafax/status var/spool/hylafax/sendq \
 		var/spool/hylafax/doneq var/spool/hylafax/docq var/spool/hylafax/tmp var/spool/hylafax/pollq \
 		usr/share/man/man5 usr/share/man/man8 \
-		usr/share/lintian/overrides
+		usr/share/lintian/overrides \
+		usr/share/hylafax
 	dh_installdirs -p$(p_client) \
 		etc/hylafax \
 		usr/bin \
@@ -224,3 +234,7 @@
 	dh_installdocs -a -A \
 		debian/README.mgetty debian/README.Debian \
 		TODO CONTRIBUTORS
+
+override_dh_strip:
+	dh_strip -p$(p_client) --dbg-package=$(p_client_dbg)
+	dh_strip -p$(p_server) --dbg-package=$(p_server_dbg)
