## hylafax 6.0.6

=== debian/changelog ===
hylafax (3:6.0.6-4) unstable; urgency=medium

  * Added restricted deletion flag on tmp directory (See: #682824)
  * Moved all directories from debian/rules to debian/*dirs files.

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 31 Jul 2012 23:52:41 +0200

hylafax (3:6.0.6-3) unstable; urgency=medium

  * Corrected a problem in detecting if ucf is present when using
    dash as default shell (Closes: #682292)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sat, 21 Jul 2012 06:55:51 +0200

hylafax (3:6.0.6-2) unstable; urgency=medium

  * debian/control:
    - Remove conflict to very old capi4hylafax version.
    - Update dependency to libgnomeprint2.2-data.
    - Move to debhelper (>= 9) and compat level 9.
    - Bump to Standards Version 3.9.3 (no changes).
    - Update substvars and optimize sections.
    - Optimize description for hylafax-client-dbg.
  * Add missing hylafax-server.config for debconf support.
  * Update and optimize postinst and postrm scripts. (Closes: #661482)
  * Move manpage typetest.8 into hylafax-client package (same as binary).
  * dh_makeshlibs do not change post* pre* scripts needlessly.
  * Update lintian-overrides files for -client and -server.
  * debian/control: Add myself as uploader.

 -- Joachim Wiedorn <ad_debian@joonet.de>  Sat, 30 Jun 2012 23:00:00 +0200

hylafax (3:6.0.6-1) unstable; urgency=low

  * New upstream relase. Converted to 6.0 branch instead of 6.1 since the
    latter will not be available as stable release before next Debian stable.
    Note: all changes from 6.1 are already in upstream 6.0.6, so nothing
    is missed. Change epoch as workaround.
  * Added support for JBIG (Closes: #668856)
  * Better enabled hardened build flags (Closes: #656260)
  * Fixed a small typo in English message (Closes: #664994)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 17 Jun 2012 14:11:31 +0200

hylafax (2:6.1~20111227-8) unstable; urgency=low

  * Updated to Debian Policy 3.9.2 (no change required)
  * Applied patches in order to harden source an build procedure.
    (Closes: #656260)

  [Cristian Perrier]
  * Fix pending l10n issues. Debconf translations:
  * Indonesian (Mahyuddin Susanto).  Closes: #657823
  * Polish (Michał Kułach).  Closes: #657875

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 15 Feb 2012 23:59:14 +0100

hylafax (2:6.1~20111227-7) unstable; urgency=low

  * Corrected once again the post installation script for manageing update
    on system with linked or bind mounted /var/spool/hylafax/etc (Closes: #656712)
  * Changed init script in order to better umount /var/spool/hylafax/etc.
  * Added danish debconf translation (Closes: #628391)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sat, 28 Jan 2012 16:44:22 +0100

hylafax (2:6.1~20111227-6) unstable; urgency=low

  * Correctly check for /var/spool/hylafax/etc already "bind" mounted
    before copying server files over there.

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 17 Jan 2012 22:02:53 +0100

hylafax (2:6.1~20111227-5) unstable; urgency=low

  * Moved typetest binary from server to client package (Closes: #654915)
  * Correctly check for /var/spool/hylafax/etc already "bind" mounted
    before copying client files over there (Closes: #655567)

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 15 Jan 2012 22:25:56 +0100

hylafax (2:6.1~20111227-4) unstable; urgency=low

  * Added dependency on iaxmodem startup script, if present. (Closes: #643507)
  * Added log rotation for /var/spool/hylafax/log/xferfaxlog in cron.monthly.
    (Closes: #647176)
  * Added "status" checking via init script. (Closes: #649389)

 -- Giuseppe Sacco <eppesuig@debian.org>  Fri, 30 Dec 2011 09:59:43 +0100

hylafax (2:6.1~20111227-3) unstable; urgency=low

  * Lazily try to umount $SPOOL/etc without prior checking if it is a
    mount point. (Closes: #646109)
  * Added two more options for cron jobs. Hylafax will delete old logs
    and old faxes from its spool directory. Usually this is done after
    35 days, but now it is possible to change this period and other
    parameters in /etc/default/hylafax. (Closes: #518474)
  * Updated NEWS and README.Debian with new variables used by cron jobs.

 -- Giuseppe Sacco <eppesuig@debian.org>  Thu, 29 Dec 2011 09:34:58 +0100

hylafax (2:6.1~20111227-2) unstable; urgency=low

  * Added support for s390 and s390x usign -fPIC instead of -fpic
    as already done for sparc64 architecture.

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 28 Dec 2011 12:39:45 +0100

hylafax (2:6.1~20111227-1) unstable; urgency=low

  * New version, from git repository.
  * Fixed spuriuos output from make (see #653222)

 -- Giuseppe Sacco <eppesuig@debian.org>  Tue, 27 Dec 2011 17:46:27 +0100
