=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# The build system doesn't use any flags from the environment! Pass
+# CFLAGS/CPPFLAGS via OPTIMIZER, LDFLAGS by patching the build system.
 
 %:
 	dh $@
@@ -36,7 +39,7 @@
 		--with-COL="/usr/bin/col" \
 		--with-MKFIFO="/usr/bin/mkfifo" \
 		--with-SORT="/usr/bin/sort" \
-		--with-OPTIMIZER="$(CFLAGS)" \
+		--with-OPTIMIZER="$(CFLAGS) $(CPPFLAGS)" \
 		--with-MANDIR="/usr/share/man" \
 		--with-PATH_IMPRIP="/usr/bin/psrip" \
 		--with-AWK="/usr/bin/awk"
@@ -76,7 +79,7 @@
 	rm -r $(d_server)/etc/hylafax/templates/html-sample1
 
 	cp -p util/faxmsg util/faxconfig util/faxmodem util/faxstate util/faxwatch \
-		util/faxinfo util/tiffcheck util/typetest util/dialtest util/faxadduser util/faxdeluser \
+		util/faxinfo util/tiffcheck util/dialtest util/faxadduser util/faxdeluser \
 		faxd/faxq faxd/faxqclean faxd/faxgetty faxd/faxsend \
 		faxd/pagesend faxd/tsitest faxd/tagtest faxd/cqtest \
 		faxd/choptest \
@@ -134,6 +137,7 @@
 	  b=`basename $$i .8`; \
 	  cp -p $$i $(d_server)/usr/share/man/man8/$$b.8; \
 	done
+	rm $(d_server)/usr/share/man/man8/typetest.8
 
 	: # install client man pages
 	for i in man/cman.files/*.4f; do \
@@ -144,6 +148,7 @@
 	  b=`basename $$i .1`; \
 	  [ $$b != sgi2fax ] && cp -p $$i $(d_client)/usr/share/man/man1/$$b.1; \
 	done
+	cp -p debian/man/typetest.8 $(d_client)/usr/share/man/man8/typetest.8
 
 override_dh_installexamples:
 	dh_installexamples -p$(p_server) debian/examples/*
@@ -154,27 +159,10 @@
 override_dh_installcron:
 	dh_installcron -p$(p_server) --name=hylafax
 
-override_dh_installdirs:
-	dh_installdirs -p$(p_server) \
-		etc/hylafax \
-		usr/sbin \
-		var/log/hylafax \
-		usr/lib/hylafax/bin \
-		var/spool/hylafax/archive var/spool/hylafax/client var/spool/hylafax/config \
-		var/spool/hylafax/dev var/spool/hylafax/info var/spool/hylafax/log var/spool/hylafax/bin \
-		var/spool/hylafax/etc var/spool/hylafax/recvq var/spool/hylafax/status var/spool/hylafax/sendq \
-		var/spool/hylafax/doneq var/spool/hylafax/docq var/spool/hylafax/tmp var/spool/hylafax/pollq \
-		usr/share/man/man5 usr/share/man/man8 \
-		usr/share/lintian/overrides \
-		usr/share/hylafax
-	dh_installdirs -p$(p_client) \
-		etc/hylafax \
-		usr/bin \
-		usr/lib \
-		usr/share/man/man1 usr/share/man/man5 \
-		usr/share/hylafax \
-		usr/share/doc/hylafax-client/faxmail \
-		usr/share/lintian/overrides
+#override_dh_installdirs:
+#	dh_installdirs -p$(p_server)
+#	dh_installdirs -p$(p_client)
+#	chmod og+t $(d_server)/var/spool/hylafax/tmp
 
 install-client:
 	cp -p debian/hyla.conf faxcover/faxcover.ps faxmail/faxmail.ps \
@@ -187,6 +175,7 @@
 		sendfax/sendfax sendpage/sendpage \
 	$(d_client)/usr/bin/.
 
+	cp -p util/typetest $(d_client)/usr/bin/
 	install -p faxmail/mailfax.sh-postfix faxmail/mailfax.sh-qmail \
 		faxmail/mailfax.sh-sendmail faxmail/mailfax.sh-smail \
 		faxmail/README \
@@ -219,16 +208,14 @@
 	do chmod 755 $(d_server)/var/spool/hylafax/$$i; done
 	chmod 775 $(d_server)/var/spool/hylafax
 	chmod 4777 $(d_server)/var/spool/hylafax/tmp
+	chmod og+t $(d_server)/var/spool/hylafax/tmp
 	chmod 755  $(d_server)/var/spool/hylafax/dev
 	chown uucp $(d_server)/etc/hylafax/hosts.hfaxd
 	chmod 600  $(d_server)/etc/hylafax/hosts.hfaxd
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -p$(p_client)
-
-#override_dh_shlibdeps:
-#	dh_shlibdeps -L libfaxutil -phylafax-server
+	dh_makeshlibs --noscripts
 
 override_dh_installdocs:
 	dh_installdocs -a -A \
