## hylafax 6.0.7

=== debian/changelog ===
hylafax (3:6.0.7-5devuan1) unstable; urgency=medium

  * NEW Debian version.
  * Added a dependency for default-mta, as suggested by lintian.
  * Include patches for a lot of typos in source code and documentation.
  * Skip the Debian systemd changes.
  * Change to Standards-Version: 4.6.2.
  * Rewrite lintian.overwrites.
  * Add gbp.conf

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 20 Jan 2023 00:30:51 +0100

hylafax (3:6.0.7-4devuan1) unstable; urgency=medium

  * Bug fix: "FTBFS with TIFF 4.5+", thanks to László Böszörményi
    (Closes: #1027681). Patch imported from upstream.
  * Update build deps
  * Improve hardening
  * Change to debhelper-compat 13

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Wed, 11 Jan 2023 20:30:00 +0100

hylafax (3:6.0.7-3.1+devuan1) unstable; urgency=medium

  * Fork for Devuan.
  * Change to debhelper-compat 10.
  * Remove systemd.
  * Added installation of logrotate file /var/spool/hylafax/log/xferfaxlog
  * Fixed server-postinst script to not use systemd and systemctl.
  * Added missing dependency for update-inetd to the control file.
  * Changed rules file to not delete config.guess and config.sub since
    this prevented to build the package more than once.
  * Updated the control file for the devuan fork.
  * Added a few minor changes to silence linthian.
  * Changed handling of config file hylafax.default.
  * Some cleanup. Deleted obsolete files and commented out sections
    from scripts, fixed some typing errors.
  * Modified control and rules file so it conforms to policy 
    version 4.5.0.
  * Updated changelog.
 
 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 03 Dec 2021 08:22:00 +0000

hylafax (3:6.0.7-3.1) unstable; urgency=medium

  * NMU
  * Bug fix: "FTBFS: Incompatible TIFF Library.", thanks to Lucas Nussbaum
    (Closes: #978220).
  * Bug fix: "CVE-2020-15397 CVE-2020-15396", thanks to Moritz Muehlenhoff
    (Closes: #964198):
    - The faxsetup utility 
      calls chown on files in user-owned directories.
      By winning a race, a local attacker could use
      this to escalate his privileges to root.
    - Scripts that execute binaries from directories 
      writable by unprivileged users (e.g., locations under
      /var/spool/hylafax that are 
      writable by the uucp account). This allows these users to
      execute code in the context of the user calling these binaries
      (often root).

 -- Bastien Roucariès <rouca@debian.org>  Wed, 13 Jan 2021 13:00:13 +0000

hylafax (3:6.0.7-3) unstable; urgency=medium

  * Added logrotate configuration for /var/spool/hylafax/log/xferfaxlog

 -- Giuseppe Sacco <eppesuig@debian.org>  Sat, 28 Mar 2020 10:26:49 +0100

hylafax (3:6.0.7-2) unstable; urgency=medium

  * Corrected debian policy version to 4.5.0

 -- Giuseppe Sacco <eppesuig@debian.org>  Sun, 22 Mar 2020 00:09:41 +0100

hylafax (3:6.0.7-1) unstable; urgency=medium

  * Update to debian policy 4.5
    - changed priority from extra to optional
    - init.d script installed as disabled. RUN_HYLAFAX in /etc/default/hylafax removed
  * Changed the way to share directories /etc/hylafax and /var/spool/hylafax/etc
  * Correctly check dpkg internal database in postinst. Closes: #905676
  * Added systemd unit files for starting faxgetty(s), hfaxd and faxq.
  * init.d script aborts when systemd is running
  * TODO: change faxsetup.sh.in in order to enable systemd service hfaxd
  * TODO: faxaddmodem should run with $SPOOL/etc mounted?
  * Removed patches already included by upstream in 6.0.7
    - 821: Check faxanswer "how" parameter length.
    - 822: Last line of configuration file may not be terminated by '\n'.
    - 823: Set fax status on glare errors.
    - 824: serverconfig fixup: JobRetryOther + JobRequeueOther.
    - 825: Fix memory corruption when using libtiff v4.0 or newer.
    - 828: gcc7 compatibility
  * Added patches:
    - 830: identify libtiff 4.1 (Closes: #952319)
    - 831: when calling faxaddmodem, create systemd unit for executing faxgetty
  * Added Vcs-git field that points to hylafax git repository
  * Run faxsetup during postinst *after* mounting with bind
    option /var/spool/hylafax/etc from /etc/hylafax
  * Remove hylafax from /etc/inetd.conf, if present.
  * Added dependency to systemd in buster since it accept BindPaths in exec units.

 -- Giuseppe Sacco <eppesuig@debian.org>  Fri, 20 Mar 2020 01:08:41 +0100

hylafax (3:6.0.6-8) unstable; urgency=medium

  * Fix errors from new g++ 7 compiler.

 -- Giuseppe Sacco <eppesuig@debian.org>  Mon, 28 Aug 2017 21:09:47 +0200

hylafax (3:6.0.6-7) unstable; urgency=medium

  * debian/control:
    - Use newer version of substvar: ${binary:Version}. Closes: #833207
    - Add misc depends to debug packages.
    - Set section of debug packages to 'debug'.
    - Bump to Standards Version 3.9.8 (no changes).
    - Set dependency to debhelper version 9.
    - Remove Vcs entries (they were no Debian Vcs).
    - Update my own email address.
  * Add some upstream patches:
    - 821: Check faxanswer "how" parameter length.
    - 822: Last line of configuration file may not be terminated by '\n'.
    - 823: Set fax status on glare errors.
    - 824: serverconfig fixup: JobRetryOther + JobRequeueOther.
    - 825: Fix memory corruption when using libtiff v4.0 or newer.
  * Add some more patches:
    - 826: Do not send pnmtops dpi value as float value. Closes: #727608
    - 827: Make Debian build reproducible. Closes: #790355
  * Remove obsolete debian/NEWS file.

 -- Joachim Wiedorn <joodebian@joonet.de>  Fri, 11 Nov 2016 16:27:24 +0100

hylafax (3:6.0.6-6) unstable; urgency=medium

  * Don't remove files managed by dpkg when purging package.

 -- Giuseppe Sacco <eppesuig@debian.org>  Thu, 04 Dec 2014 22:47:58 +0100

hylafax (3:6.0.6-5) unstable; urgency=medium

  * Remove all changes since 6.0.6-1.
  * Added restricted deletion flag on tmp directory. (See: #682824)
  * Fix postrm scripts to be successful. (See: #661482)

