=== debian/control ===
Source: hylafax
Section: comm
Priority: optional
Maintainer: Friedhelm Mehnert <friedhelm@friedhelms.net>
Build-Depends: debhelper-compat (=13),
 libjbig-dev,
 libtiff-dev,
 libtiff-tools (>= 4.4.0-6),
 zlib1g-dev (>= 0.95), ed,
 libpam-dev | libpam0g-dev,
 gsfonts, ghostscript,
 dpkg (>= 1.14.6),
 init-system-helpers (>= 1.51) 
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: http://www.hylafax.org
Vcs-Browser: https://git.devuan.org/devuan/hylafax
Vcs-Git: https://git.devuan.org/devuan/hylafax.git
Origin: Devuan

Package: hylafax-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 hylafax-client (= ${binary:Version}),
 libtiff-tools (>= 4.4.0-6),
 bsd-mailx | mailx, psmisc,
 sed (>= 4.1.2), ghostscript,
 adduser, lsb-base (>= 3.0-6),
 default-mta | exim4-daemon-light | mail-transport-agent,
 update-inetd
Suggests: mgetty, psrip
Conflicts: mgetty-fax, capi4hylafax (<< 1:01.02.03-4)
Description: Flexible client/server fax software - server daemons
 This package support the sending and receiving of facsimiles, the polled
 retrieval of facsimiles and the send of alphanumeric pages.
 .
 The host running the server must have either a Class 1, Class 2, or a
 Class 2.0 fax modem attached to one of its serial ports. End-user
 applications to manage the transmission of documents via facsimile are
 provided separately by the hylafax-client package.

Package: hylafax-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 enscript | libgnomeprint-data,
 ucf, gsfonts, ghostscript
Pre-Depends: libpaper-utils
Suggests: mgetty-viewfax
Recommends: netpbm, transfig
Conflicts: mgetty-fax
Description: Flexible client/server fax software - client utilities
 The HylaFAX client software communicates with a HylaFAX server via TCP/IP.
 .
 HylaFAX support the sending and receiving of facsimiles, the polled
 retrieval of facsimiles and the send of alphanumeric pages.
