=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 # The build system doesn't use any flags from the environment! Pass
 # CFLAGS/CPPFLAGS via OPTIMIZER, LDFLAGS by patching the build system.
+
+# Hmmm...?
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -24,7 +27,7 @@
 		--with-DIR_SBIN="/usr/sbin" \
 		--with-DIR_LOCKS="/var/lock" \
 		--with-PATH_AFM="/usr/share/fonts/type1/gsfonts" \
-		--with-FONTMAP="/usr/share/gs-esp/8.15/lib:/usr/share/gs-esp/7.07/lib:/usr/share/gs/6.53" \
+		--with-FONTMAP="/usr/share/ghostscript/9.19/lib" \
 		--with-MANSCHEME="bsd-source-gzip-strip" \
 		--with-DIR_HTML="/usr/share/doc/hylafax" \
 		--with-DIR_CGI="/usr/lib/cgi-bin" \
@@ -41,16 +44,15 @@
 		--with-SORT="/usr/bin/sort" \
 		--with-OPTIMIZER="$(CFLAGS) $(CPPFLAGS)" \
 		--with-MANDIR="/usr/share/man" \
+		--with-PATH_DPSRIP="" \
 		--with-PATH_IMPRIP="/usr/bin/psrip" \
 		--with-AWK="/usr/bin/awk"
-#		--with-INSTALL=/usr/bin/install \
  
 override_dh_clean:
 	[ ! -f Makefile ] || make distclean
 	[ ! -d man/cman.apps ] \
 	    || rmdir man/cman.apps man/cman.files man/sman.apps man/sman.files
 	rm -f port/Makefile port/install.sh port/mkdepend
-	rm -f config.guess config.sub
 	rm -f dummy xgnu.c dummy.c xmakeinc t dummy.o dummy.C confMakefile config.log a.out
 	dh_clean
  
@@ -119,10 +121,6 @@
 	cp -p debian/lintian.override.hylafax-server \
 		$(d_server)/usr/share/lintian/overrides/$(p_server)
 
-	cp debian/hylafax-server.hylafax.default-maintainer $(d_server)/usr/share/hylafax/hylafax.default-maintainer
-
-	install --mode=a+rx -p debian/copy_configuration_from_spool $(d_server)/usr/lib/hylafax/bin/
-
 override_dh_installman:
 	: # install server man pages
 	for i in man/sman.files/*.4f; do \
@@ -137,7 +135,6 @@
 	  b=`basename $$i .8`; \
 	  cp -p $$i $(d_server)/usr/share/man/man8/$$b.8; \
 	done
-	rm $(d_server)/usr/share/man/man8/typetest.8
 
 	: # install client man pages
 	for i in man/cman.files/*.4f; do \
@@ -148,7 +145,8 @@
 	  b=`basename $$i .1`; \
 	  [ $$b != sgi2fax ] && cp -p $$i $(d_client)/usr/share/man/man1/$$b.1; \
 	done
-	cp -p debian/man/typetest.8 $(d_client)/usr/share/man/man8/typetest.8
+
+	cp -p util/typetest $(d_client)/usr/bin/
 
 override_dh_installexamples:
 	dh_installexamples -p$(p_server) debian/examples/*
@@ -159,10 +157,27 @@
 override_dh_installcron:
 	dh_installcron -p$(p_server) --name=hylafax
 
-#override_dh_installdirs:
-#	dh_installdirs -p$(p_server)
-#	dh_installdirs -p$(p_client)
-#	chmod og+t $(d_server)/var/spool/hylafax/tmp
+override_dh_installdirs:
+	dh_installdirs -p$(p_server) \
+		etc/hylafax \
+		usr/sbin \
+		var/log/hylafax \
+		usr/lib/hylafax/bin \
+		var/spool/hylafax/archive var/spool/hylafax/client var/spool/hylafax/config \
+		var/spool/hylafax/dev var/spool/hylafax/info var/spool/hylafax/log var/spool/hylafax/bin \
+		var/spool/hylafax/etc var/spool/hylafax/recvq var/spool/hylafax/status var/spool/hylafax/sendq \
+		var/spool/hylafax/doneq var/spool/hylafax/docq var/spool/hylafax/tmp var/spool/hylafax/pollq \
+		usr/share/man/man5 usr/share/man/man8 \
+		usr/share/lintian/overrides \
+		usr/share/hylafax
+	dh_installdirs -p$(p_client) \
+		etc/hylafax \
+		usr/bin \
+		usr/lib \
+		usr/share/man/man1 usr/share/man/man5 \
+		usr/share/hylafax \
+		usr/share/doc/hylafax-client/faxmail \
+		usr/share/lintian/overrides
 
 install-client:
 	cp -p debian/hyla.conf faxcover/faxcover.ps faxmail/faxmail.ps \
@@ -175,7 +190,6 @@
 		sendfax/sendfax sendpage/sendpage \
 	$(d_client)/usr/bin/.
 
-	cp -p util/typetest $(d_client)/usr/bin/
 	install -p faxmail/mailfax.sh-postfix faxmail/mailfax.sh-qmail \
 		faxmail/mailfax.sh-sendmail faxmail/mailfax.sh-smail \
 		faxmail/README \
@@ -196,7 +210,7 @@
 	ln -sf ../bin/textfmt $(d_client)/usr/sbin/textfmt
 
 override_dh_installchangelogs:
-	dh_installchangelogs -a doc/RELEASENOTES-6.0.txt
+	dh_installchangelogs debian/Debian-changes
 
 override_dh_fixperms:
 	dh_fixperms
@@ -207,21 +221,22 @@
 	for i in archive docq doneq pollq sendq; \
 	do chmod 755 $(d_server)/var/spool/hylafax/$$i; done
 	chmod 775 $(d_server)/var/spool/hylafax
-	chmod 4777 $(d_server)/var/spool/hylafax/tmp
-	chmod og+t $(d_server)/var/spool/hylafax/tmp
+	chmod 1777 $(d_server)/var/spool/hylafax/tmp
 	chmod 755  $(d_server)/var/spool/hylafax/dev
 	chown uucp $(d_server)/etc/hylafax/hosts.hfaxd
 	chmod 600  $(d_server)/etc/hylafax/hosts.hfaxd
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs --noscripts
+	dh_makeshlibs -p$(p_client)
+
+#override_dh_shlibdeps:
+#	dh_shlibdeps -L libfaxutil -phylafax-server
 
 override_dh_installdocs:
 	dh_installdocs -a -A \
 		debian/README.mgetty debian/README.Debian \
 		TODO CONTRIBUTORS
 
-override_dh_strip:
-	dh_strip -p$(p_client) --dbg-package=$(p_client_dbg)
-	dh_strip -p$(p_server) --dbg-package=$(p_server_dbg)
+override_dh_installlogrotate:
+	dh_installlogrotate -p$(p_server) --name xferfaxlog
